/**
 * Contains the names of all links within this package.
 *
 * @example
```ts
const notifyTypeLinkId = await deep.id(
   PACKAGE_NAME,
   LinkName[LinkName.Notify]
)
```
 */
export var LinkName;
(function (LinkName) {
    LinkName[LinkName["Device"] = 0] = "Device";
    LinkName[LinkName["Name"] = 1] = "Name";
    LinkName[LinkName["OperatingSystem"] = 2] = "OperatingSystem";
    LinkName[LinkName["WebViewVersion"] = 3] = "WebViewVersion";
    LinkName[LinkName["Manufacturer"] = 4] = "Manufacturer";
    LinkName[LinkName["LanguageCode"] = 5] = "LanguageCode";
    LinkName[LinkName["BatteryLevel"] = 6] = "BatteryLevel";
    LinkName[LinkName["LanguageTag"] = 7] = "LanguageTag";
    LinkName[LinkName["IsCharging"] = 8] = "IsCharging";
    LinkName[LinkName["OsVersion"] = 9] = "OsVersion";
    LinkName[LinkName["IsVirtual"] = 10] = "IsVirtual";
    LinkName[LinkName["Platform"] = 11] = "Platform";
    LinkName[LinkName["Model"] = 12] = "Model";
})(LinkName || (LinkName = {}));
